namespace DexDemoBackend;

public record Organization(int Id, string Name);

public record Role(int Id, string Name, string? Description);

public record Link(int Id, string Title, string Url, string? Description);

public record UserInfo(
    string Email, 
    string FullName, 
    Organization? Organization, 
    List<Role> Roles, 
    List<Link> AvailableLinks
);

